%define upstream_name    POSIX-Regex
%define upstream_version 1.0003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Port of the glibc gnu regex engine into perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Constant)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This is a port of the glibc gnu regex engine into perl.  There are few reasons
you would need this.  The few I can think of include:

0) You wish to use untrusted user expressions in such a way as to be able to
catch errors.  Example:  eval { alarm 2;  m/((){1024}){1024}/ } is an instant
uncatchable segmentation fault.  GNU's regexps will still fail, but in a timeout
way rather than an instant segfault way.

1) You wish to have POSIX compliance on ... something ...  Perl's regexps are
slightly different -- arguably better, but different.


( ... if you think of anything else, let me know, since reason 0 evaporates under 5.9.3+ ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.300-5.mga6
+ Revision: 1032640
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.300-4.mga6
+ Revision: 957887
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.0.300-3.mga6
+ Revision: 845142
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.0.300-2.mga6
+ Revision: 841787
- Rebuild for perl 5.22

* Mon Oct 20 2014 pterjan <pterjan> 1.0.300-1.mga5
+ Revision: 792013
- Fix summary and description
- imported package perl-POSIX-Regex


* Sun Oct 19 2014 cpan2dist 1.0003-1mga
- initial mageia release, generated with cpan2dist
